function UpdateDigitalInputDisplay(initial, optElement)
{
Update(optElement);
}

function SetDigitalInputDisplay(xml)
{
displayElementRootNames = new Array();



SetDisplaySelection('Digital_Input.Title');
SetDisplaySelection('Digital_Input.Normal_State');
SetSubmit(false);
UpdateDigitalInputDisplay(true);
document.getElementById("digitalinputform").style.display = "block";
}

function DigitalInputRender(xml)
{
var numberOfInstances = GetXmlData(xml, "numberOfInstances");
var instance = GetXmlData(xml, 'instance');
var title = GetXmlData(xml, 'title');
var name = GetXmlData(xml, 'name');

var id = GetXmlDataByZeroBasedIndex(xml, 'names', Number(instance));
document.getElementById("hiddencurrentdigitalinputnum").innerHTML = instance;
document.getElementById("digitalinputidentifier").innerHTML = (
id ? id : title +
(Number(numberOfInstances) ? " " + (Number(instance) + 1) : "")
);
var d = document.getElementById("digital_input_selection");

if(d)
{
var r = "";
r += '<table id="Nav1">';
r += "<tr>";
if(numberOfInstances > 3)
{
r += "<td align='right'><b>Select:</b></td>";
r += "<td align='left'>";
r += "<";
r += "select name='navSelect' ";
r += "id='navSelect' ";
r += "onchange=\" ";
r += "var page = document.getElementById('hiddencurrentdigitalinputpage').innerHTML;";
r += "return ajax_AddToHistory(page, [true, 'digitalinputidentifier='+this.value]);";
r += " \" ";
r += ">";
for(var i = 0; i < numberOfInstances; ++i)
{
var n = GetXmlDataByZeroBasedIndex(xml, 'names', i);
var sel = (instance == i) ? " selected " : "";
r += "<option value='" + i + "' " + sel + ">";
r += n ? n : name + " " + (i + 1);
r += "</option>";
}
r += "</select>";
r += "</td>";
}
else
{
for(var i = 1; i <= numberOfInstances; ++i)
{
var n = GetXmlDataByZeroBasedIndex(xml, 'names', i - 1);
r += "<td id='digitalinputnav" + i + "'>";
r += "<a ";
r += "href='javascript:void(0)'";
r += "onclick=\"";
r += "var page = document.getElementById('hiddencurrentdigitalinputpage').innerHTML;";
r += "return ajax_AddToHistory(page, [true, 'digitalinputidentifier=" + (i - 1) + "']);";
r += "\"";
r += ">";
r += n ? n : name + " " + i;
r += "</a>";
r += "</td>";
}
}
r += "</tr>";
r += "</table>";
d.innerHTML = r;
HighlightElementInTable("Nav1", "digitalinputnav" + (Number(instance)+1));
}
}

function DigitalInputStateChange(value)
{

}
