function UpdateRelayDisplay(initial, optElement)
{
Update(optElement);
}

function SetRelayDisplay(xml)
{
displayElementRootNames = new Array();



SetDisplaySelection('Relay.Title');
SetDisplaySelection('Relay.Latch');
SetSubmit(false);
UpdateRelayDisplay(true);
document.getElementById("relayform").style.display = "block";
}

function RelayRender(xml)
{
var numberOfInstances = GetXmlData(xml, "numberOfInstances");
var instance = GetXmlData(xml, 'instance');
var title = GetXmlData(xml, 'title');
var name = GetXmlData(xml, 'name');
var id = GetXmlDataByZeroBasedIndex(xml, 'names', Number(instance));
document.getElementById("hiddencurrentrelaynum").innerHTML = instance;
document.getElementById("relayidentifier").innerHTML = (
id ? id : title +
(Number(numberOfInstances) ? " " + (Number(instance) + 1) : "")
);
var d = document.getElementById("relay_selection");
if(d)
{
var r = "";
r += '<table id="Nav1">';
r += "<tr>";
if(numberOfInstances > 3)
{
r += "<td align='right'><b>Select:</b></td>";
r += "<td align='left'>";
r += "<";
r += "select name='navSelect' ";
r += "id='navSelect' ";
r += "onchange=\" ";
r += "var page = document.getElementById('hiddencurrentrelaypage').innerHTML;";
r += "return ajax_AddToHistory(page, [true, 'relayidentifier='+this.value]);";
r += " \" ";
r += ">";
for(var i = 0; i < numberOfInstances; ++i)
{
var n = GetXmlDataByZeroBasedIndex(xml, 'names', i);
var sel = (instance == i) ? " selected " : "";
r += "<option value='" + i + "' " + sel + ">";
r += n ? n : name + " " + (i + 1);
r += "</option>";
}
r += "</select>";
r += "</td>";
}
else
{
for(var i = 1; i <= numberOfInstances; ++i)
{
var n = GetXmlDataByZeroBasedIndex(xml, 'names', i - 1);
r += "<td id='relaynav" + i + "'>";
r += "<a ";
r += "href='javascript:void(0)'";
r += "onclick=\"";
r += "var page = document.getElementById('hiddencurrentrelaypage').innerHTML;";
r += "return ajax_AddToHistory(page, [true, 'relayidentifier=" + (i - 1) + "']);";
r += "\"";
r += ">";
r += n ? n : name + " " + i;
r += "</a>";
r += "</td>";
}
}
r += "</tr>";
r += "</table>";
d.innerHTML = r;
HighlightElementInTable("Nav1", "relaynav" + (Number(instance)+1));
}
}
